<script setup lang="ts">
const props = defineProps({
  header: {
    type: String,
    required: true,
  },
  link: {
    type: String,
    default: '#',
  },
  padding: {
    type: Boolean,
    default: false,
  },
})
</script>

<template>
  <div class="bg-gray-50" :class="{ 'px-4 py-4': padding }">
    <n-divider title-placement="left" class="!mt-2 !mb-2 text-mint-700 font-semibold">
      More Information
    </n-divider>
    <a :href="link" target="_blank" class="flow-root px-2 py-2 rounded-md transition duration-300 ease-in-out hover:bg-arctic-50">
      <span class="flex items-center">
        <span class="text-sm font-bold">{{ header }}</span>
      </span>
      <span class="block text-sm"><slot /></span>
    </a>
  </div>
</template>
